/**
 * DevExtreme (core/config.js)
 * Version: 16.2.1-16288
 * Build date: Fri Oct 14 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 */
define(function(require, exports, module) {
    "use strict";
    var $ = require("jquery"),
        config = {
            rtlEnabled: false,
            defaultCurrency: "USD",
            designMode: false,
            serverDecimalSeparator: "."
        };
    module.exports = function() {
        if (!arguments.length) {
            return config
        }
        $.extend(config, arguments[0])
    }
});
