/**
 * DevExtreme (integration/angular/action_executors.js)
 * Version: 16.2.1-16288
 * Build date: Fri Oct 14 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 */
define(function(require, exports, module) {
    "use strict";
    var Action = require("../../core/action");
    Action.registerExecutor({
        ngExpression: {
            execute: function(e) {
                if ("string" === typeof e.action) {
                    e.context.$eval(e.action)
                }
            }
        }
    })
});
