/**
 * DevExtreme (ui/widget/jquery.template_provider.js)
 * Version: 16.2.1-16288
 * Build date: Fri Oct 14 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 */
define(function(require, exports, module) {
    "use strict";
    var TemplateProviderBase = require("./ui.template_provider_base"),
        Template = require("./jquery.template");
    var TemplateProvider = TemplateProviderBase.inherit({
        createTemplate: function(element, owner) {
            return new Template(element, owner)
        }
    });
    var templateProvider = new TemplateProvider;
    module.exports = templateProvider
});
