/**
 * DevExtreme (viz/tree_map/tiling.squarified.js)
 * Version: 16.2.1-16288
 * Build date: Fri Oct 14 2016
 *
 * Copyright (c) 2012 - 2016 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 */
define(function(require, exports, module) {
    "use strict";
    var _max = Math.max,
        _squarify = require("./tiling.squarified.base");

    function accumulate(total, current) {
        return _max(total, current)
    }

    function squarified(data) {
        return _squarify(data, accumulate, false)
    }
    require("./tiling").addAlgorithm("squarified", squarified);
    module.exports = squarified
});
